<?php
/**
* Polish Language File developed by mybboard.pl for Attachments popup 1.0
* Tłumaczenie: szulcu
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.1
**/

/***************************************************************************
 *
 *   Attachments Popup for MyBB
 *   Copyright: © 2008 Online - Urbanus
 *   
 *   Website: http://www.Online-Urbanus.be
 *   
 *   Last modified: 20/09/2008 by Paretje
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ***************************************************************************/


if(!defined("IN_MYBB"))
{
	die("This file cannot be accessed directly.");
}

//Plugins.
$plugins->add_hook("misc_start", "attachmentspopup_run");
$plugins->add_hook("fetch_wol_activity_end", "attachmentspopup_online_activity");
$plugins->add_hook("build_friendly_wol_location_end", "attachmentspopup_online_location");

function attachmentspopup_info()
{
	return array(
		"name"		=> "Attachments Popup",
		"description"	=> "Pokazuje okienko z załącznikami dołączonymi do wątku.",
		"website"	=> "http://www.Online-Urbanus.be",
		"author"	=> "Paretje",
		"authorsite"	=> "http://www.Online-Urbanus.be",
		"version"	=> "1.0",
		"guid"		=> "1fcec36a1ee526846f19accb9d9d2c60",
		"compatibility" => "14*"
	);
}

function attachmentspopup_activate()
{
	global $db;
	
	//Insert templates
	$templates['misc_attachmentspopup'] = "<html>
<head>
<title>{\$title}</title>
{\$headerinclude}
<style type=\"text/css\">
body {
	text-align: left;
}
</style>
</head>
<body style=\"margin:0; padding: 4px; top: 0; left: 0;\">
<table width=\"100%\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" border=\"0\" align=\"center\" class=\"tborder\">
<tr>
<td class=\"thead\" colspan=\"3\">
<div class=\"float_right\" style=\"margin-top: 3px;\"><span class=\"smalltext\"><a href=\"#\" onclick=\"window.close();\">{\$lang->close}</a></span></div>
<div><strong>{\$title}</strong></div>
</td>
</tr>
<tr>
<td class=\"tcat\"><span class=\"smalltext\"><strong>{\$lang->attachment}</strong></span></td>
<td class=\"tcat\" align=\"center\"><span class=\"smalltext\"><strong>{\$lang->filesize}</strong></span></td>
<td class=\"tcat\" align=\"center\"><span class=\"smalltext\"><strong>{\$lang->downloads}</strong></span></td>
</tr>
{\$attachmentspopup_bit}
</table>
</body>
</html>";
	
	$templates['misc_attachmentspopup_bit'] = "<tr>
<td class=\"{\$bgcolor}\">
{\$attachments[\'icon\']}&nbsp;&nbsp;<a href=\"attachment.php?aid={\$attachments[\'aid\']}\" target=\"_blank\">{\$attachments[\'filename\']}</a>
</td>
<td class=\"{\$bgcolor}\" align=\"center\">
{\$attachments[\'filesize\']}
</td>
<td class=\"{\$bgcolor}\" align=\"center\">
{\$attachments[\'downloads\']}</td>
</tr>";
	
	foreach($templates as $title => $template)
	{
		$insert_template = array(
			'title'		=> $title,
			'template'	=> $template,
			'sid'		=> '-1',
			'version'	=> '140',
			'dateline'	=> TIME_NOW
		);
		
		$db->insert_query("templates", $insert_template);
	}
	
	//Update MyBB templates
	require_once MYBB_ROOT."inc/adminfunctions_templates.php";

	find_replace_templatesets("forumdisplay_thread_attachment_count", "#".preg_quote("<img src=\"{\$theme['imgdir']}/paperclip.gif\" alt=\"\" title=\"{\$attachment_count}\" />")."#", "<a href=\"#\" onclick=\"MyBB.popupWindow('misc.php?action=attachmentspopup&amp;tid={\$thread['tid']}', 'attachmentspopup', 450, 400);\"><img src=\"{\$theme['imgdir']}/paperclip.gif\" alt=\"\" title=\"{\$attachment_count}\" /></a>");
}

function attachmentspopup_deactivate()
{
	global $db;
	
	//Delete templates
	$db->write_query("DELETE FROM ".TABLE_PREFIX."templates WHERE title='misc_attachmentspopup'");
	$db->write_query("DELETE FROM ".TABLE_PREFIX."templates WHERE title='misc_attachmentspopup_bit'");
	
	//Undo changes of MyBB templates
	require_once MYBB_ROOT.'inc/adminfunctions_templates.php';
	
	find_replace_templatesets("forumdisplay_thread_attachment_count", "#".preg_quote("<a href=\"")."\#".preg_quote("\" onclick=\"MyBB.popupWindow('misc.php?action=attachmentspopup&amp;tid={\$thread['tid']}', 'attachmentspopup', 450, 400);\"><img src=\"{\$theme['imgdir']}/paperclip.gif\" alt=\"\" title=\"{\$attachment_count}\" /></a>")."#", "<img src=\"{\$theme['imgdir']}/paperclip.gif\" alt=\"\" title=\"{\$attachment_count}\" />", 0);
}

function attachmentspopup_run()
{
	global $mybb;
	
	if($mybb->input['action'] == "attachmentspopup")
	{
		global $lang, $db, $templates, $headerinclude, $theme;
		
		//Load language
		$lang->load("attachmentspopup");
		
		//Test thread
		$query = $db->query("SELECT * FROM ".TABLE_PREFIX."threads WHERE tid='".intval($mybb->input['tid'])."'");
		$thread = $db->fetch_array($query);
		$thread_test = $db->num_rows($query);
		
		if($thread_test != 1)
		{
			$attachmentspopup_bit = "<tr><td class=\"trow1\" colspan=\"3\">".$lang->threaddoesntexist."</td></tr>";
			$title = $lang->error;
		}
		else
		{
			//Make title
			$title = $lang->sprintf($lang->attachmentspopup, $thread['subject']);
			
			//Load attachments
			$query = $db->query("SELECT a.*
			FROM ".TABLE_PREFIX."attachments a
			LEFT JOIN ".TABLE_PREFIX."posts p ON (a.pid=p.pid)
			WHERE p.tid='".intval($mybb->input['tid'])."' AND a.visible='1'
			ORDER BY a.dateuploaded ASC");
			$attachments_test = $db->num_rows($query);
			
			while($attachments = $db->fetch_array($query))
			{
				//Rows
				if($bgcolor == "trow1")
				{
					$bgcolor = "trow2";
				}
				else
				{
					$bgcolor = "trow1";
				}
				
				//Make the output ready
				$attachments['filename'] = htmlspecialchars_uni($attachments['filename']);
				$attachments['icon'] = get_attachment_icon(get_extension($attachments['filename']));
				$attachments['filesize'] = get_friendly_size($attachments['filesize']);
				$attachments['downloads'] = my_number_format($attachments['downloads']);
				
				eval("\$attachmentspopup_bit .= \"".$templates->get("misc_attachmentspopup_bit")."\";");
			}
			
			//Test attachments
			if($attachments_test == 0)
			{
				$attachmentspopup_bit = "<tr><td class=\"trow1\" colspan=\"3\">".$lang->noattachments."</td></tr>";
			}
		}
		
		eval("\$attachmentspopup = \"".$templates->get("misc_attachmentspopup")."\";");
		output_page($attachmentspopup);
	}
}

function attachmentspopup_online_activity($user_activity)
{
	global $parameters, $tid_list;
	
	if($user_activity['activity'] == "misc" && $parameters['action'] == "attachmentspopup")
	{
		if(is_numeric($parameters['tid']))
		{
			$tid_list[] = $parameters['tid'];
		}
		
		$user_activity['activity'] = "misc_attachmentspopup";
		$user_activity['tid'] = $parameters['tid'];
		
		return $user_activity;
	}
}

function attachmentspopup_online_location($plugin_array)
{
	global $lang, $threads;
	
	if($plugin_array['user_activity']['activity'] == "misc_attachmentspopup")
	{
		//Load language
		$lang->load("attachmentspopup");
		$plugin_array['location_name'] = $lang->sprintf($lang->viewing_attachmentspopup, $plugin_array['user_activity']['tid'], $threads[$plugin_array['user_activity']['tid']]);		
		
		return $plugin_array;
	}
}
?>
